Module ij
Package ij.macro

# Class ExtensionDescriptor

java.lang.Object
ij.macro.ExtensionDescriptor

public class ExtensionDescriptor extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`argTypes`
`MacroExtension`
`handler`
`String`
`name`

## Constructor Summary

Constructors
Constructor
Description
`ExtensionDescriptor(String theName, int[] theArgTypes, MacroExtension theHandler)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkArguments(Object[] args)`
`static void`
`convertOutputType(Variable variable, Object object)`
`static Object`
`convertVariable(Interpreter interp, int rawType, Variable var)`
`String`
`dispatch(Functions func)`
`static int`
`getRawType(int argType)`
`static String`
`getTypeName(int argType)`
`static boolean`
`isOptionalArg(int argType)`
`static boolean`
`isOutputArg(int argType)`
`static ExtensionDescriptor`
`newDescriptor(String theName, MacroExtension theHandler)`
`static ExtensionDescriptor`
`newDescriptor(String theName, MacroExtension theHandler, int type)`
`static ExtensionDescriptor`
`newDescriptor(String theName, MacroExtension theHandler, int[] types)`
`static ExtensionDescriptor`
`newDescriptor(String theName, MacroExtension theHandler, int t1, int t2)`
`static ExtensionDescriptor`
`newDescriptor(String theName, MacroExtension theHandler, int t1, int t2, int t3)`
`static ExtensionDescriptor`
`newDescriptor(String theName, MacroExtension theHandler, int t1, int t2, int t3, int t4)`
`static ExtensionDescriptor`
`newDescriptor(String theName, MacroExtension theHandler, Integer[] types)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### argTypes

public int[] argTypes

### handler

public MacroExtension handler

## Constructor Details

### ExtensionDescriptor

public ExtensionDescriptor(String theName, int[] theArgTypes, MacroExtension theHandler)

## Method Details

### newDescriptor

public static ExtensionDescriptor newDescriptor(String theName, MacroExtension theHandler, int[] types)

### newDescriptor

public static ExtensionDescriptor newDescriptor(String theName, MacroExtension theHandler)

### newDescriptor

public static ExtensionDescriptor newDescriptor(String theName, MacroExtension theHandler, int type)

### newDescriptor

public static ExtensionDescriptor newDescriptor(String theName, MacroExtension theHandler, int t1, int t2)

### newDescriptor

public static ExtensionDescriptor newDescriptor(String theName, MacroExtension theHandler, int t1, int t2, int t3)

### newDescriptor

public static ExtensionDescriptor newDescriptor(String theName, MacroExtension theHandler, int t1, int t2, int t3, int t4)

### newDescriptor

public static ExtensionDescriptor newDescriptor(String theName, MacroExtension theHandler, Integer[] types)

### isOptionalArg

public static boolean isOptionalArg(int argType)

### isOutputArg

public static boolean isOutputArg(int argType)

### getRawType

public static int getRawType(int argType)

### checkArguments

public boolean checkArguments(Object[] args)

### getTypeName

public static String getTypeName(int argType)

### convertVariable

public static Object convertVariable(Interpreter interp, int rawType, Variable var)

### convertOutputType

public static void convertOutputType(Variable variable, Object object)

### dispatch

public String dispatch(Functions func)